package com.caimei365.manager.entity.caimei;

import lombok.Data;

import java.io.Serializable;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/3/15
 */
 @Data
public class ReceiptList implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 收款Id
     */
    private Integer id;
    /**
     * 收款时间
     */
    private String receiptDate;
    /**
     * 收款金额（线上一次性付款和支付金额一致）
     */
    private String receiptAmount;
    /**
     * 用户付款方式：1线上，2线下
     */
    private String payWay;
    /**
     * 付款类型：1建设银行7297、2广发银行0115、3中信银行7172、4中信银行0897、5中信银行0897-财付通、6中信银行0897-支付宝、7线上-支付宝、8线上-微信支付、9线上-快钱支付,10口头返佣，11广发5461
     */
    private String payType;
    /**
     * 1订单款，2非订单款，3返佣款，5供应商退款，6超级会员款，7二手商品上架费
     */
    private String receiptType;
    /**
     * 收款状态：1待确认、2已确认(待审核)、3审核通过、4审核未通过、5收款撤销、6待返佣、7已返佣【线上支付成功为审核通过】
     */
    private String receiptStatus;
    /**
     * 关联订单类型  与 关联订单号一一对应 "0协销"/"1自主"
     */
    private String orderType;
    /**
     * 关联订单号
     */
    private String orders;
    /**
     * 客户名称
     */
    private String userName;
    /**
     * 客户名称后缀，如：星范，呵呵商城
     */
    private String suffix;

}
