package com.caimei365.manager.service.wechat;

import com.caimei365.manager.entity.PaginationVo;
import com.caimei365.manager.entity.ResponseJson;
import com.caimei365.manager.entity.wechat.WechatText;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/1/6
 */
public interface WechatTextService {
    /**
     * 获取文本素材列表
     *
     * @param type 类型： 1采美，2呵呵商城
     * @param title 标题
     * @param pageNum  页码
     * @param pageSize 每页大小
     */
    ResponseJson<PaginationVo<WechatText>> getTextList(Integer type, String title, int pageNum, int pageSize);
    /**
     * 根据ID获取文本素材
     */
    ResponseJson<WechatText> getText(Integer id);
    /**
     * 根据ID更新文本素材
     */
    ResponseJson<Void> updateText(Integer id, WechatText text, String username);
    /**
     * 添加文本素材
     */
    ResponseJson<Void> addText(WechatText text, String username);
    /**
     * 根据ID删除文本素材
     */
    ResponseJson<Void> deleteText(Integer id);
}
